{- This file is part of irc-fun-messages.
 -
 - Written in 2015 by fr33domlover <fr33domlover@rel4tion.org>.
 -
 - ♡ Copying is an act of love. Please copy, reuse and share.
 -
 - The author(s) have dedicated all copyright and related and neighboring
 - rights to this software to the public domain worldwide. This software is
 - distributed without any warranty.
 -
 - You should have received a copy of the CC0 Public Domain Dedication along
 - with this software. If not, see
 - <http://creativecommons.org/publicdomain/zero/1.0/>.
 -}

-- | This module provides type aliases used throughout the package for
-- readability.
module Network.IRC.Fun.Messages.TypeAliases
    ( ServerName
    , ServiceName
    , UserName
    , NickName
    , ChannelName
    , CommandName
    , Parameter
    , Password
    , ChannelKey
    , ChannelTopic
    , RealName
    , Comment
    , PortNumber
    )
where

import Network.IRC.Fun.Messages.Internal.Types
